import 'package:mohem_flutter_app/theme/colors.dart';
import 'package:mohem_flutter_app/utils/utils.dart';
import 'package:flutter/material.dart';

import '../txt.dart';

class ShowImageButton extends StatelessWidget {
  String icon, title;
  VoidCallback onClick;

  ShowImageButton(
      {required this.icon, required this.title, required this.onClick});

  @override
  Widget build(BuildContext context) {
    return InkWell(
      onTap: onClick,
      child: Container(
        width: double.infinity,
        child: Column(
          children: [
            Container(
              width: double.infinity,
              height: 120,
              color: accentColor,
              padding: EdgeInsets.all(30),
              child: Image.asset(
                icon,
                color: Colors.white,
              ),
            ),
            mHeight(12),
            Txt(
              title,
              txtType: TxtType.heading2,
              color: Colors.blue,
            )
          ],
        ),
      ),
    );
  }
}
